Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development.testing
Interface DevAppServerTestConfig

All Known Implementing Classes:
  BaseDevAppServerTestConfig

    public interface DevAppServerTestConfig

Config for a dev appserver that launches as part of a test.

Method Summary
`java.io.File` | `getAppDir()`
`java.io.File` | `getAppEngineWebXml()`
`java.util.List<java.net.URL>` | `getClasspath()`
`java.lang.String` | `getPortSystemProperty()`
`java.io.File` | `getSdkRoot()`
`java.io.File` | `getWebXml()`
`boolean` | `installSecurityManager()`

Method Detail

### getSdkRoot

    java.io.File getSdkRoot()

  Returns:
    The root of the sdk installation

### getAppDir

    java.io.File getAppDir()

  Returns:
    The top-level directory of the web application to run.

### getWebXml

    java.io.File getWebXml()

  Returns:
    The location of web.xml. If `null`, `getAppDir()`/WEB-INF/web.xml will be used.

### getAppEngineWebXml

    java.io.File getAppEngineWebXml()

  Returns:
    The location of appengine-web.xml. If `null`, `getAppDir()`/WEB-INF/appengine-web.xml will be used.

### installSecurityManager

    boolean installSecurityManager()

  Returns:
    If `true`, the dev appserver will be installed with the local app engine `SecurityManager`. It is strongly recommended you install the SecurityManager unless your testing environment does not allow SecurityManager to be installed.

### getClasspath

    java.util.List<java.net.URL> getClasspath()

  Returns:
    The classpath for all application and test code

### getPortSystemProperty

    java.lang.String getPortSystemProperty()

  Returns:
    The name of the system property that can be consulted to retrieve the port on which the dev appserver is running.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD